import QtQuick 1.1

// Jump to the screen area.
// By default Jump is positioned at the center of the screen
Obj {

    property QtObject toScreen

    // Use binding - not anchoring - to allow usage of cx, cy, width, height by derived components
    width: parent.width
    height: 200
    //y: parent.height - height
    y: 768 - height
    cursor: "Jump180"
    spendHint: false
    hintable: true

    onClicked: onClickedImpl()

    function onClickedImpl() {
        if (state == "" || state == "Enabled") {
            switchToScreen(toScreen)
        }
    }
}
