import QtQuick 1.1
import Common 1.0


Obj {
    id: slideElement

    property alias pathAnim : pathAnim
    property int currentPos
    property int startPos
    property int slideDuration

    PathAnimation {
        id: pathAnim
        easing.type: Easing.InOutSine
        target: path ? slideElement : null;
        duration: slideDuration;
        onCompleted: {
            slideElement.enabled = true
            solveCheck()
        }
    }

    onPressed: {
        slideStart(slideElement)
    }
}
