import QtQuick 1.1

// Conversation reply. Must be used in conjunction with a Cue.
// In the game code this component usually completely changed to adjust appearance.
Text {

    // Next cue.
    property QtObject next

    id: self
    font.pixelSize: 17
    color: "Green"

    MouseArea {
        id: mouseArea
        anchors.fill: parent
        hoverEnabled: true
        onClicked: nextCue(next)
    }

    states: [
        State {
            name: "Pressed"; when: mouseArea.pressed
            PropertyChanges { target: self; color: "Blue" }
        },
        State {
            name: "Hover"; when: mouseArea.containsMouse
            PropertyChanges { target: self; color: "Red" }
        }
    ]
}
