import QtQuick 1.1


// Conversation cue.
QtObject {
    // Cue text
    property string text
    // Cue voice - sound name
    property string voice
    // replies must be array of objects.
    property variant replies
    // Indicates whether this is a final cue and the conversation has to be finalized.
    property bool finale
    // Next cue. If not set the next sibling element will be the next cue.
    property QtObject next
    // Visual template of the cue
    property Component template
}
