import QtQuick 1.1

// ToggleButton for editPointsDialog
Rectangle {

    signal clicked
    property alias text: txt.text

    id: self
    height: 16; radius: 4; color: "Transparent"
    Text {
        id: txt; color: "Blue"; anchors.centerIn: parent
        font.underline: mouseArea.containsMouse
        MouseArea {
            id: mouseArea; anchors.fill: parent; hoverEnabled: true
            onClicked: self.clicked()
        }
    }
    states: State {
        name: "Selected";
        PropertyChanges { target: self; color: "LightSteelBlue" }
    }
}
