import QtQuick 1.1
import Common 1.0


//        ОПИСАНИЕ ОБЪЕКТОВ

//        объект rope - задаётся 2 точками начала и конца (Х и Y) в соответсвующие проперти, остальное высчитывается самостоятельно

Obj {
    id: rope1
    property int startX: 0
    property int startY: 0

    property int endX: 0
    property int endY: 0

    property int cross: 0

    property alias ropeImg: imgRope

    property variant wrongSource: ""
    property variant simpleSource: ""

    cx: startX+(endX-startX)/2
    cy: startY+(endY-startY)/2

    property real widthRope: Math.sqrt(Math.pow((endX-startX),2)+Math.pow((endY-startY),2))

    rotation: (Math.atan2((endY-startY),(endX-startX)))*180/Math.PI

    Image {
        id: imgRope
        width:parent.widthRope
        height:16
        fillMode: Image.TileHorizontally
        source: ""
        smooth: false
    }

}




